import { computed, Injectable, signal } from '@angular/core';

@Injectable({
  providedIn: 'root',
})
export class ManagerLayoutService {
  sideCollapsed = signal(false);
  sideWidth = computed(() => (this.sideCollapsed() ? 70 : 278));
  sideWidthPixel = computed(() => this.sideWidth() + 'px');

  toggleSidebar() {
    this.sideCollapsed.update(collapsed => !collapsed);
  }
  constructor() {}
}
